package com.ruoyi.device.mqtt.domain.decoder.upgrade;

import com.ruoyi.device.mqtt.domain.BaseBody;

/**
 * 固件 URL 查询上行消息
 */
public class GetApkUrlMessage extends BaseBody
{
    private static final long serialVersionUID = 1L;

    /** 目标设备型号 */
    private String targetDeviceType;

    /** 固件类型（1:bootloader; 2:产测; 3:app; 4:lua） */
    private Integer firmwareType;

    /** 版本号 */
    private String version;

    public GetApkUrlMessage()
    {
        super();
    }

    public String getTargetDeviceType()
    {
        return targetDeviceType;
    }

    public void setTargetDeviceType(String targetDeviceType)
    {
        this.targetDeviceType = targetDeviceType;
    }

    public Integer getFirmwareType()
    {
        return firmwareType;
    }

    public void setFirmwareType(Integer firmwareType)
    {
        this.firmwareType = firmwareType;
    }

    public String getVersion()
    {
        return version;
    }

    public void setVersion(String version)
    {
        this.version = version;
    }
}
